package de.avatic.lcc.dto.generic;

public enum ContainerType {
    FEU(12030, 2350, 2390, 67.7, 24,21),
    TEU(5890 ,2350,2390, 33.0, 11,10),
    HC(12030, 2350, 2690, 76.4, 24,21),
    TRUCK(13600,2450,  2650, 88.3, 34, 33);

    private final int length;
    private final int width;
    private final int height;
    private final double volume;
    private final int euroPalletCount;
    private final int industrialPalletCount;

    ContainerType(int length, int width, int height, double volume, int euroPalletCount, int industrialPalletCount) {
        this.length = length;
        this.width = width;
        this.height = height;
        this.volume = volume;
        this.euroPalletCount = euroPalletCount;
        this.industrialPalletCount = industrialPalletCount;

    }
    public int getLength() {
        return length;
    }
    public int getWidth() {
        return width;
    }
    public int getHeight() {
        return height;
    }

    public double getVolume() {
        return volume;
    }

    public int getPalletCount(PalletType palletType) {
        return palletType == PalletType.EURO_PALLET ? euroPalletCount : industrialPalletCount;

    }
}
